Create Form Link

Prev Next
Post
/forms/createlink/{FORM_ID}

This API creates a link to a specified organizational form that can be sent to the customer to fill and/or sign.

Path Parameters: Form ID - appears next to the name of the form in the forms list screen

Body Parameters:

data (required) - JSON object with:

  • streamProviderId (required): The identifier of the receiving customer by their phone number or email
  • streamProviderType (required): The type of the streamProviderId: 4 for email, 5 for phone number
  • referringObjectId (optional): When the form link is opened, a new form object is created. This can be linked to another object (e.g., the initiating conversation)
  • properties (optional): JSON object with initial values for form fields. Format: {"field_name": "field_value"}

autoUpload (optional) - Boolean:

  • When true: System automatically finalizes and uploads the form to S3
  • When false (default): System creates a link to send to the customer
Security
HTTP
Type bearer

API key is needed to authorize requests. You can get your API key via the management console.
A Bearer Token is needed to be set in the Authorization header of every API call.
For additional support you can contact us.

Path parameters
FORM_ID
stringRequired

Form Id - Form number (as seen on the forms list screen)

Body parameters
Expand All
object
data
object Required
streamProviderId
string Required

Unique identifier by external provider (WhatsApp, email, etc.) for the original conversation

Example19175552345
streamProviderType
integer Required

The identifier type: 4 for email, 5 for phone number

Example5
referringObjectId
integer (int64)

The object ID of the conversation related to the Form

Example312345
autoUpload
boolean

When 'true', the form is finalized and uploaded to S3 with no additional action required by the customer

Defaultfalse
Exampletrue
properties
object
field_0
string
ExampleJohn
field_1
string
ExampleDoe
my_own_field
string
Exampleabc123
Responses
200

OK

Expand All
object
status
string
Example200
description
string
ExampleOperation successful
response_time
string
Example2024-08-06T07:51:52.2581942Z
data
object
conversation_id
string
Example312345
form_link
string
Examplehttps://apps.commbox.io/form/commbox/499fdc93aa804a4b8266251224944d6a
400

Bad Request - The request could not be understood by the server. Incoming parameters might not be valid

object
status
integer
Example400
description
string
ExampleBad Request
response_time
string (date-time)
Example2025-02-06T07:51:52.258Z
401

Unauthorized - The supplied credentials, if any, are not sufficient to access the resource

object
status
integer
Example401
description
string
ExampleUnauthorized
response_time
string (date-time)
Example2025-02-06T07:51:52.258Z
404

Not found - The requested resource is not found

object
status
integer
Example404
description
string
ExampleNot Found
response_time
string (date-time)
Example2025-02-06T07:51:52.258Z
429

Too Many Requests - Too many requests have been made in a short period of time (Throttling)

object
status
integer
Example429
description
string
ExampleToo Many Requests
response_time
string (date-time)
Example2025-02-06T07:51:52.258Z
500

Server Error - The server could not return the representation due to an internal server error

object
status
integer
Example500
description
string
ExampleInternal Server Error
response_time
string (date-time)
Example2025-02-06T07:51:52.258Z